Bug 1275761 - Requesting SmartState analysis through the UI doesn't queue the SSA job.
Requesting SmartState analysis through the UI doesn't queue the SSA job.
Status: CLOSED NOTABUG
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity high
: GA
: 5.5.0
Assigned To: Martin Povolny
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 12:36 EDT by Rich Oliveri
Modified: 2015-11-11 15:37 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-30 18:12:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Oliveri 2015-10-27 12:36:21 EDT
Description of problem:
Requesting SSA through the UI generates multiple confirmation pop-ups. After clicking "OK" through all the pop-ups, the UI indicates that the SSA has been successfully scheduled. However, the SSA task never appears on the task screen. Upon further investigation, it appears that an entry for the SSA request was never added to the jobs table.


Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. Select perform SSA for a given VM through the UI
2. Click through the confirmation pop-ups.
3. Go to the tasks screen to monitor the progress of the SSA

Actual results:
No task appears on the tasks screen for the SSA.
(also - no entry added to the jobs table)


Expected results:
SSA task displayed on the tasks screen.


Additional info:
This problem appeared after refreshing my code from master on 10/26/15.
Comment 1 Rich Oliveri 2015-10-27 12:38:17 EDT
I didn't see any related errors in the evm.log or production.log files.
Comment 4 Rich Oliveri 2015-10-29 15:00:18 EDT
After refreshing my code from the current master, both issues seem to have been resolved.
Comment 5 Dave Johnson 2015-10-30 18:12:52 EDT
Per comment 4

Note You need to log in before you can comment on or make changes to this bug.